# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="KBDUS.DLL"
HOMEPAGE="https://github.com/reactos/reactos"
SRC_URI="https://github.com/reactos/reactos/archive/master.tar.gz -> reactos-master.tar.gz"

LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND="
>=dev-util/meson-0.60.3
"

inherit meson

S="${WORKDIR}/reactos-master"

src_configure() {
	cp ${FILESDIR}/meson.build .
	meson_src_configure
}

src_compile() {
	meson_src_compile
}

src_install() {
	meson_src_install
}
