# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION=""
HOMEPAGE=""
COMMIT="2d1c576e62b99e85d99407e1a88794c6e44c3310"
SRC_URI="https://github.com/alitrack/mman-win32/archive/${COMMIT}.tar.gz"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

inherit toolchain-funcs

S="${WORKDIR}/mman-win32-${COMMIT}"

src_configure() {
	${S}/configure --cc=$(tc-getCC) --enable-shared --disable-static
}

src_compile() {
	emake
}

src_install() {
	dodir /usr/include/sys
	dodir /usr/lib
	dodir /usr/bin
	install -m 644 ${S}/mman.h ${ED}/usr/include/sys/mman.h
	install -m 644 ${S}/libmman.dll ${ED}/usr/lib/libmman.dll
	install -m 644 ${S}/libmman.dll ${ED}/usr/bin/libmman.dll
}
