# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="A path tiny clone for vala."
HOMEPAGE="https://gitea.sergiotarxz.freemyip.com/sergiotarxz/OwlPath"
SRC_URI="https://gitea.sergiotarxz.freemyip.com/sergiotarxz/OwlPath/archive/main.tar.gz -> owlpath-main.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=">=dev-libs/glib-2.72.1
"
RDEPEND="${DEPEND}"
BDEPEND=""

inherit meson


S="${WORKDIR}/${PN}"

src_configure() {
	VALAC=/usr/bin/valac-0.56 meson_src_configure
}

src_compile() {
	meson_src_compile
}

src_install() {
	meson_src_install
}
