# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION=""
HOMEPAGE=""
SRC_URI="https://github.com/dlfcn-win32/dlfcn-win32/archive/refs/tags/v${PV}.tar.gz"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

inherit toolchain-funcs

S="${WORKDIR}/dlfcn-win32-${PV}"

src_configure() {
	${S}/configure --cc=$(tc-getCC) --enable-shared --disable-static
}

src_compile() {
	emake
}

src_install() {
	dodir /usr/include
	dodir /usr/bin
	dodir /usr/lib
	install ${S}/src/dlfcn.h -m 644 ${ED}/usr/include
	install ${S}/libdl.dll -m 644 ${ED}/usr/bin
	install ${S}/libdl.dll -m 644 ${ED}/usr/lib
}
